{
	"schema": "https://iot-ap.ikonke.com/model/product_3092.json",
	"productType": "lightPanel",
	"version": "1.1",
	"profile": {
		"heartbeat": "300",	
		"productCode": "3092",
		"productName": "海顿系列.线性单路调光调色面板(KONKE)"
	},
	"services": [
		{
			"outputData": [],
			"identifier": "set",
			"inputData": [
				{
					"identifier": "PowerSwitch_1",
					"dataType": {
						"specs": {
							"0": "关闭",
							"1": "打开"
						},
						"type": "bool"
					},
					"name": "电源开关"
				},
				{
					"identifier": "PowerSwitch_2",
					"dataType": {
						"specs": {
							"0": "关闭",
							"1": "打开"
						},
						"type": "bool"
					},
					"name": "电源开关"
				},
				{
					"identifier": "Brightness_1",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "1",
							"max": "100",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
					},
					"name": "亮度"
				},
				{
					"identifier": "Brightness_2",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "1",
							"max": "100",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
					},
					"name": "亮度"
				},
				{
					"identifier": "ColorTemperature_1",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "0",
							"max": "100",
							"unit": "K",
							"unitName": "开尔文",
							"step": "1"
						}
					},
					"name": "色温"
				},
				{
					"identifier": "ColorTemperature_2",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "0",
							"max": "100",
							"unit": "K",
							"unitName": "开尔文",
							"step": "1"
						}
					},
					"name": "色温"
				},
				{
					"identifier": "FadeTime_1",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "0",
							"max": "254",
							"unit": "s",
							"unitName": "秒",
							"step": "1"
						}
					},
					"name": "渐变时间"
				},
				{
					"identifier": "FadeTime_2",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "0",
							"max": "254",
							"unit": "s",
							"unitName": "秒",
							"step": "1"
						}
					},
					"name": "渐变时间"
				},
				{
					"identifier": "LowBrightness_1",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "10",
							"max": "90",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
					},
					"name": "最低亮度"
				},
				{
					"identifier": "LowBrightness_2",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "10",
							"max": "90",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
					},
					"name": "最低亮度"
				},
				{
					"identifier": "HighBrightness_1",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "20",
							"max": "100",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
					},
					"name": "最高亮度"
				},
				{
					"identifier": "HighBrightness_2",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "20",
							"max": "100",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
					},
					"name": "最高亮度"
				}
			],
			"method": "thing.service.property.set",
			"name": "set",
			"required": true,
			"callType": "async",
			"desc": "属性设置"
		},
		{
			"outputData": [
				{
					"identifier": "PowerSwitch_1",
					"dataType": {
						"specs": {
							"0": "关闭",
							"1": "打开"
						},
						"type": "bool"
					},
					"name": "电源开关"
				},
				{
					"identifier": "PowerSwitch_2",
					"dataType": {
						"specs": {
							"0": "关闭",
							"1": "打开"
						},
						"type": "bool"
					},
					"name": "电源开关"
				},
				{
					"identifier": "Brightness_1",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "1",
							"max": "100",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
					},
					"name": "亮度"
				},
				{
					"identifier": "Brightness_2",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "1",
							"max": "100",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
					},
					"name": "亮度"
				},
				{
					"identifier": "ColorTemperature_1",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "0",
							"max": "100",
							"unit": "K",
							"unitName": "开尔文",
							"step": "1"
						}
					},
					"name": "色温"
				},
				{
					"identifier": "ColorTemperature_2",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "0",
							"max": "100",
							"unit": "K",
							"unitName": "开尔文",
							"step": "1"
						}
					},
					"name": "色温"
				},
				{
					"identifier": "FadeTime_1",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "0",
							"max": "254",
							"unit": "s",
							"unitName": "秒",
							"step": "1"
						}
					},
					"name": "渐变时间"
				},
				{
					"identifier": "FadeTime_2",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "0",
							"max": "254",
							"unit": "s",
							"unitName": "秒",
							"step": "1"
						}
					},
					"name": "渐变时间"
				},
				{
					"identifier": "LowBrightness_1",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "10",
							"max": "90",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
					},
					"name": "最低亮度"
				},
				{
					"identifier": "LowBrightness_2",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "10",
							"max": "90",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
					},
					"name": "最低亮度"
				},
				{
					"identifier": "HighBrightness_1",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "20",
							"max": "100",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
					},
					"name": "最高亮度"
				},
				{
					"identifier": "HighBrightness_2",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "20",
							"max": "100",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
					},
					"name": "最高亮度"
				}
			],
			"identifier": "get",
			"inputData": [
				"PowerSwitch_1", 
				"Brightness_1",
				"ColorTemperature_1",
				"FadeTime_1",
				"LowBrightness_1",
				"HighBrightness_1",
				"PowerSwitch_2", 
				"Brightness_2",
				"ColorTemperature_2",
				"FadeTime_2",
				"LowBrightness_2",
				"HighBrightness_2"
			],
			"method": "thing.service.property.get",
			"name": "get",
			"required": true,
			"callType": "async",
			"desc": "属性获取"
		},
        {
            "outputData":[

            ],
            "identifier":"negativeProperty",
            "inputData":[
                "PowerSwitch"
            ],
            "method":"thing.service.negativeProperty",
            "name":"negativeProperty",
            "required":true,
            "callType":"async",
            "desc":"属性值取反"
        }
	],
	"properties": [
		{
			"identifier": "PowerSwitch_1",
			"accessMode": "rw",
			"required": false,
			"dataType": {
				"specs": {
					"0": "关闭",
					"1": "打开"
				},
				"type": "bool"
			},
			"name": "电源开关"
		},
		{
			"identifier": "PowerSwitch_2",
			"accessMode": "rw",
			"required": false,
			"dataType": {
				"specs": {
					"0": "关闭",
					"1": "打开"
				},
				"type": "bool"
			},
			"name": "电源开关"
		},
		{
			"identifier": "Brightness_1",
			"accessMode": "rw",
			"required": false,
			"dataType": {
				"type": "int",
				"specs": {
					"min": "1",
					"max": "100",
					"unit": "%",
					"unitName": "百分比",
					"step": "1"
				}
			},
			"name": "亮度"
		},
		{
			"identifier": "Brightness_2",
			"accessMode": "rw",
			"required": false,
			"dataType": {
				"type": "int",
				"specs": {
					"min": "1",
					"max": "100",
					"unit": "%",
					"unitName": "百分比",
					"step": "1"
				}
			},
			"name": "亮度"
		},
		{
			"identifier": "ColorTemperature_1",
			"accessMode": "rw",
			"required": false,
			"dataType": {
				"type": "int",
				"specs": {
					"min": "0",
					"max": "100",
					"unit": "K",
					"unitName": "开尔文",
					"step": "1"
				}
			},
			"name": "色温"
		},
		{
			"identifier": "ColorTemperature_2",
			"accessMode": "rw",
			"required": false,
			"dataType": {
				"type": "int",
				"specs": {
					"min": "0",
					"max": "100",
					"unit": "K",
					"unitName": "开尔文",
					"step": "1"
				}
			},
			"name": "色温"
		},
		{
			"identifier": "FadeTime_1",
			"accessMode": "rw",
			"required": false,
			"dataType": {
				"type": "int",
				"specs": {
					"min": "0",
					"max": "254",
					"unit": "s",
					"unitName": "秒",
					"step": "1"
				}
			},
			"name": "渐变时间"
		},
		{
			"identifier": "FadeTime_2",
			"accessMode": "rw",
			"required": false,
			"dataType": {
				"type": "int",
				"specs": {
					"min": "0",
					"max": "254",
					"unit": "s",
					"unitName": "秒",
					"step": "1"
				}
			},
			"name": "渐变时间"
		},
		{
			"identifier": "LowBrightness_1",
			"accessMode": "rw",
			"required": false,
			"dataType": {
				"type": "int",
				"specs": {
					"min": "10",
					"max": "90",
					"unit": "%",
					"unitName": "百分比",
					"step": "1"
				}
			},
			"name": "最低亮度"
		},
		{
			"identifier": "LowBrightness_2",
			"accessMode": "rw",
			"required": false,
			"dataType": {
				"type": "int",
				"specs": {
					"min": "10",
					"max": "90",
					"unit": "%",
					"unitName": "百分比",
					"step": "1"
				}
			},
			"name": "最低亮度"
		},
		{
			"identifier": "HighBrightness_1",
			"accessMode": "rw",
			"required": false,
			"dataType": {
				"type": "int",
				"specs": {
					"min": "20",
					"max": "100",
					"unit": "%",
					"unitName": "百分比",
					"step": "1"
				}
			},
			"name": "最高亮度"
		},
		{
			"identifier": "HighBrightness_2",
			"accessMode": "rw",
			"required": false,
			"dataType": {
				"type": "int",
				"specs": {
					"min": "20",
					"max": "100",
					"unit": "%",
					"unitName": "百分比",
					"step": "1"
				}
			},
			"name": "最高亮度"
		}
	],
	"events": [
		{
			"outputData": [
				{
					"identifier": "PowerSwitch_1",
					"dataType": {
						"specs": {
							"0": "关闭",
							"1": "打开"
						},
						"type": "bool"
					},
					"name": "电源开关"
				},
				{
					"identifier": "PowerSwitch_2",
					"dataType": {
						"specs": {
							"0": "关闭",
							"1": "打开"
						},
						"type": "bool"
					},
					"name": "电源开关"
				},
				{
					"identifier": "Brightness_1",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "1",
							"max": "100",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
					},
					"name": "亮度"
				},
				{
					"identifier": "Brightness_2",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "1",
							"max": "100",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
					},
					"name": "亮度"
				},
				{
					"identifier": "ColorTemperature_1",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "0",
							"max": "100",
							"unit": "K",
							"unitName": "开尔文",
							"step": "1"
						}
					},
					"name": "色温"
				},
				{
					"identifier": "ColorTemperature_2",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "0",
							"max": "100",
							"unit": "K",
							"unitName": "开尔文",
							"step": "1"
						}
					},
					"name": "色温"
				},
				{
					"identifier": "FadeTime_1",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "0",
							"max": "254",
							"unit": "s",
							"unitName": "秒",
							"step": "1"
						}
					},
					"name": "渐变时间"
				},
				{
					"identifier": "FadeTime_2",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "0",
							"max": "254",
							"unit": "s",
							"unitName": "秒",
							"step": "1"
						}
					},
					"name": "渐变时间"
				},
				{
					"identifier": "LowBrightness_1",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "10",
							"max": "90",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
					},
					"name": "最低亮度"
				},
				{
					"identifier": "LowBrightness_2",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "10",
							"max": "90",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
					},
					"name": "最低亮度"
				},
				{
					"identifier": "HighBrightness_1",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "20",
							"max": "100",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
					},
					"name": "最高亮度"
				},
				{
					"identifier": "HighBrightness_2",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "20",
							"max": "100",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
					},
					"name": "最高亮度"
				}
			],
			"identifier": "property",
			"method": "thing.event.property.post",
			"name": "property",
			"type": "info",
			"required": true,
			"desc": "属性上报"
		}
	]
}
